> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get password login config

> Get the password login configuration for the application.



## OpenAPI

````yaml get /v2/session/apps/{appID}/config/login/password
openapi: 3.1.1
info:
  title: Prelude Session Management API
  version: 0.0.1
  summary: The Prelude API for Session Management
  description: The Prelude API for Session Management.
  contact:
    email: support@prelude.so
    url: https://prelude.so
servers:
  - url: https://api.prelude.dev
    description: Production server
security:
  - Authorization: []
tags:
  - name: Mode
    description: Manage the mode (dev/prod) of your application.
  - name: Users
    description: Manage the users of your application.
  - name: Webhooks
    description: Manage the webhooks of your application.
  - name: Domains
    description: Manage the domains of your application.
  - name: Config - Scopes
    description: Manage the scope configuration of your application.
  - name: Config - Claims
    description: Manage the claims mapping configuration of your application.
  - name: Config - Step-up
    description: Manage the step-up authentication configuration of your application.
  - name: Config - Migration
    description: Manage the user migration configuration of your application.
  - name: Config - Login OTP
    description: Manage the OTP login configuration of your application.
  - name: Config - Login OAuth
    description: Manage the OAuth login configuration of your application.
  - name: Config - Login Password
    description: Manage the password login configuration of your application.
paths:
  /v2/session/apps/{appID}/config/login/password:
    parameters:
      - $ref: '#/components/parameters/appIDParam'
    get:
      tags:
        - Config - Login Password
      summary: Get password login config
      description: Get the password login configuration for the application.
      operationId: getLoginPasswordConfig
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLoginPasswordConfigResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppNotFoundError'
components:
  parameters:
    appIDParam:
      in: path
      name: appID
      required: true
      description: The id of the app the request refers to.
      schema:
        $ref: '#/components/schemas/AppID'
  schemas:
    GetLoginPasswordConfigResponse:
      type: object
      properties:
        config:
          oneOf:
            - $ref: '#/components/schemas/LoginPasswordConfig'
            - type: 'null'
      required:
        - config
    AppNotFoundError:
      type: object
      properties:
        code:
          type: string
          enum:
            - app_not_found
          examples:
            - app_not_found
        status:
          type: string
          enum:
            - not_found
          examples:
            - not_found
        message:
          type: string
          examples:
            - The application was not found.
      required:
        - code
        - status
        - message
    AppID:
      type: string
      description: An application's unique identifier.
      examples:
        - 54e9ujn
        - fvua38g
    LoginPasswordConfig:
      type: object
      properties:
        hash_method:
          type: string
          examples:
            - bcrypt
        enabled:
          type: boolean
          examples:
            - true
        rate_limit_login_ip:
          $ref: '#/components/schemas/RateLimitConfig'
        rate_limit_login_identifier:
          $ref: '#/components/schemas/RateLimitConfig'
        password_compliancy:
          $ref: '#/components/schemas/PasswordCompliancy'
        created_at:
          type: string
          format: date-time
          examples:
            - '2025-03-15T10:30:00Z'
        updated_at:
          type: string
          format: date-time
          examples:
            - '2025-03-15T12:00:00Z'
      required:
        - hash_method
        - enabled
        - rate_limit_login_ip
        - rate_limit_login_identifier
        - password_compliancy
        - created_at
        - updated_at
    RateLimitConfig:
      type: object
      properties:
        ttl:
          type: integer
          description: Time-to-live in seconds for the rate limit window.
          examples:
            - 3600
        limit:
          type: integer
          description: Maximum number of attempts within the TTL window.
          examples:
            - 10
      required:
        - ttl
        - limit
    PasswordCompliancy:
      type: object
      properties:
        min_length:
          type: integer
          examples:
            - 8
        max_length:
          type: integer
          examples:
            - 128
        uppercase:
          type: boolean
          examples:
            - true
        lowercase:
          type: boolean
          examples:
            - true
        numbers:
          type: boolean
          examples:
            - true
        symbols:
          type: boolean
          examples:
            - true
      required:
        - min_length
        - max_length
        - uppercase
        - lowercase
        - numbers
        - symbols
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````